 <!doctype html public "-/w3c/dtd html 4.0 transitional/en">
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
 <title>LDAS CIT database Insertion Rates</title>
 </head>
 <body>
 
 <pre><b><font size=-1>LDAS Data Socket Transmission Roundtrip Rates</font></b></pre>
 <font size=-2>
 <table cellpadding=1>
 <tr>
 <th align=left width=200>Test Period:</th>
 <td width=300>March 29th, 2000</td>
 </tr>
 <tr>
 <th align=left width=200>Input data:</th>
 <td width=300>Ilwd with dimensions 1,10,100,1000,10000,100000<br>without container</td>
 <td>
 </tr>
 <tr>
 <th align=left width=200>Platforms:</th>
 <td width=300>Linux Box <-> Sun 450 </td>
 <td>
 </tr>
 <tr>
 <th align=left width=200>LDAS software:</th>
 <td width=300>ldas-0.0.10, Sun Solaris 2.7 for Sun or Linux 6.1 for Intel Pentium</td>
 <td>
 </tr>
 </table></font>
<p>
<table border type=1>
<caption align=center><b>Mean Wall Time in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000458</td>
<td align=right bgcolor="#ffe6ab">0.000453</td>
<td align=right bgcolor="#ffe6cd">0.000452</td>
<td align=right bgcolor="#ffe669">0.000475</td>
<td align=right bgcolor="#ffe6ef">0.000571</td>
<td align=right bgcolor="#ffe6ab">0.013106</td>
<td align=right bgcolor="#ffe6cd">0.099483</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000454</td>
<td align=right bgcolor="#ffe6ab">0.000453</td>
<td align=right bgcolor="#ffe6cd">0.000450</td>
<td align=right bgcolor="#ffe669">0.000472</td>
<td align=right bgcolor="#ffe6ef">0.000567</td>
<td align=right bgcolor="#ffe6ab">0.012429</td>
<td align=right bgcolor="#ffe6cd">0.101938</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000453</td>
<td align=right bgcolor="#ffe6ab">0.000451</td>
<td align=right bgcolor="#ffe6cd">0.000451</td>
<td align=right bgcolor="#ffe669">0.000503</td>
<td align=right bgcolor="#ffe6ef">0.000650</td>
<td align=right bgcolor="#ffe6ab">0.019809</td>
<td align=right bgcolor="#ffe6cd">0.202584</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000589</td>
<td align=right bgcolor="#ffe6ab">0.000449</td>
<td align=right bgcolor="#ffe6cd">0.000450</td>
<td align=right bgcolor="#ffe669">0.000512</td>
<td align=right bgcolor="#ffe6ef">0.000652</td>
<td align=right bgcolor="#ffe6ab">0.020274</td>
<td align=right bgcolor="#ffe6cd">0.201930</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000451</td>
<td align=right bgcolor="#ffe6ab">0.000449</td>
<td align=right bgcolor="#ffe6cd">0.000450</td>
<td align=right bgcolor="#ffe669">0.000510</td>
<td align=right bgcolor="#ffe6ef">0.000822</td>
<td align=right bgcolor="#ffe6ab">0.039959</td>
<td align=right bgcolor="#ffe6cd">0.408308</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000451</td>
<td align=right bgcolor="#ffe6ab">0.000452</td>
<td align=right bgcolor="#ffe6cd">0.000453</td>
<td align=right bgcolor="#ffe669">0.000513</td>
<td align=right bgcolor="#ffe6ef">0.000856</td>
<td align=right bgcolor="#ffe6ab">0.038488</td>
<td align=right bgcolor="#ffe6cd">0.408936</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000451</td>
<td align=right bgcolor="#ffe6ab">0.000452</td>
<td align=right bgcolor="#ffe6cd">0.000482</td>
<td align=right bgcolor="#ffe669">0.000534</td>
<td align=right bgcolor="#ffe6ef">0.011864</td>
<td align=right bgcolor="#ffe6ab">0.078783</td>
<td align=right bgcolor="#ffe6cd">0.820180</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000451</td>
<td align=right bgcolor="#ffe6ab">0.000451</td>
<td align=right bgcolor="#ffe6cd">0.000486</td>
<td align=right bgcolor="#ffe669">0.000536</td>
<td align=right bgcolor="#ffe6ef">0.011948</td>
<td align=right bgcolor="#ffe6ab">0.079257</td>
<td align=right bgcolor="#ffe6cd">0.818729</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000451</td>
<td align=right bgcolor="#ffe6ab">0.000450</td>
<td align=right bgcolor="#ffe6cd">0.000453</td>
<td align=right bgcolor="#ffe669">0.000511</td>
<td align=right bgcolor="#ffe6ef">0.000838</td>
<td align=right bgcolor="#ffe6ab">0.039190</td>
<td align=right bgcolor="#ffe6cd">0.411138</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000450</td>
<td align=right bgcolor="#ffe6ab">0.000450</td>
<td align=right bgcolor="#ffe6cd">0.000477</td>
<td align=right bgcolor="#ffe669">0.000544</td>
<td align=right bgcolor="#ffe6ef">0.012219</td>
<td align=right bgcolor="#ffe6ab">0.077678</td>
<td align=right bgcolor="#ffe6cd">0.814934</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000359</td>
<td align=right bgcolor="#ffe6ab">0.000364</td>
<td align=right bgcolor="#ffe6cd">0.000424</td>
<td align=right bgcolor="#ffe669">0.000828</td>
<td align=right bgcolor="#ffe6ef">0.006933</td>
<td align=right bgcolor="#ffe6ab">0.215772</td>
<td align=right bgcolor="#ffe6cd">2.846710</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000359</td>
<td align=right bgcolor="#ffe6ab">0.000364</td>
<td align=right bgcolor="#ffe6cd">0.000424</td>
<td align=right bgcolor="#ffe669">0.000840</td>
<td align=right bgcolor="#ffe6ef">0.007533</td>
<td align=right bgcolor="#ffe6ab">0.244548</td>
<td align=right bgcolor="#ffe6cd">2.786600</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000359</td>
<td align=right bgcolor="#ffe6ab">0.000366</td>
<td align=right bgcolor="#ffe6cd">0.000432</td>
<td align=right bgcolor="#ffe669">0.001055</td>
<td align=right bgcolor="#ffe6ef">0.015177</td>
<td align=right bgcolor="#ffe6ab">0.270029</td>
<td align=right bgcolor="#ffe6cd">2.956390</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000362</td>
<td align=right bgcolor="#ffe6ab">0.000366</td>
<td align=right bgcolor="#ffe6cd">0.000445</td>
<td align=right bgcolor="#ffe669">0.001147</td>
<td align=right bgcolor="#ffe6ef">0.024601</td>
<td align=right bgcolor="#ffe6ab">0.318143</td>
<td align=right bgcolor="#ffe6cd">3.438440</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Wall Time standard deviation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000055</td>
<td align=right bgcolor="#ffe6ab">0.000005</td>
<td align=right bgcolor="#ffe6cd">0.000006</td>
<td align=right bgcolor="#ffe669">0.000010</td>
<td align=right bgcolor="#ffe6ef">0.000010</td>
<td align=right bgcolor="#ffe6ab">0.003530</td>
<td align=right bgcolor="#ffe6cd">0.004733</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000008</td>
<td align=right bgcolor="#ffe6ab">0.000007</td>
<td align=right bgcolor="#ffe6cd">0.000005</td>
<td align=right bgcolor="#ffe669">0.000006</td>
<td align=right bgcolor="#ffe6ef">0.000007</td>
<td align=right bgcolor="#ffe6ab">0.003696</td>
<td align=right bgcolor="#ffe6cd">0.012383</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000007</td>
<td align=right bgcolor="#ffe6ab">0.000006</td>
<td align=right bgcolor="#ffe6cd">0.000005</td>
<td align=right bgcolor="#ffe669">0.000006</td>
<td align=right bgcolor="#ffe6ef">0.000007</td>
<td align=right bgcolor="#ffe6ab">0.003208</td>
<td align=right bgcolor="#ffe6cd">0.001686</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.001361</td>
<td align=right bgcolor="#ffe6ab">0.000005</td>
<td align=right bgcolor="#ffe6cd">0.000004</td>
<td align=right bgcolor="#ffe669">0.000107</td>
<td align=right bgcolor="#ffe6ef">0.000010</td>
<td align=right bgcolor="#ffe6ab">0.002692</td>
<td align=right bgcolor="#ffe6cd">0.002335</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000007</td>
<td align=right bgcolor="#ffe6ab">0.000005</td>
<td align=right bgcolor="#ffe6cd">0.000005</td>
<td align=right bgcolor="#ffe669">0.000006</td>
<td align=right bgcolor="#ffe6ef">0.000009</td>
<td align=right bgcolor="#ffe6ab">0.002851</td>
<td align=right bgcolor="#ffe6cd">0.005241</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000005</td>
<td align=right bgcolor="#ffe6ab">0.000006</td>
<td align=right bgcolor="#ffe6cd">0.000005</td>
<td align=right bgcolor="#ffe669">0.000007</td>
<td align=right bgcolor="#ffe6ef">0.000010</td>
<td align=right bgcolor="#ffe6ab">0.002731</td>
<td align=right bgcolor="#ffe6cd">0.013417</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000007</td>
<td align=right bgcolor="#ffe6ab">0.000006</td>
<td align=right bgcolor="#ffe6cd">0.000012</td>
<td align=right bgcolor="#ffe669">0.000007</td>
<td align=right bgcolor="#ffe6ef">0.001049</td>
<td align=right bgcolor="#ffe6ab">0.011941</td>
<td align=right bgcolor="#ffe6cd">0.019419</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000007</td>
<td align=right bgcolor="#ffe6ab">0.000005</td>
<td align=right bgcolor="#ffe6cd">0.000019</td>
<td align=right bgcolor="#ffe669">0.000008</td>
<td align=right bgcolor="#ffe6ef">0.001494</td>
<td align=right bgcolor="#ffe6ab">0.010767</td>
<td align=right bgcolor="#ffe6cd">0.007056</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000005</td>
<td align=right bgcolor="#ffe6ab">0.000005</td>
<td align=right bgcolor="#ffe6cd">0.000005</td>
<td align=right bgcolor="#ffe669">0.000006</td>
<td align=right bgcolor="#ffe6ef">0.000009</td>
<td align=right bgcolor="#ffe6ab">0.003858</td>
<td align=right bgcolor="#ffe6cd">0.032023</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000006</td>
<td align=right bgcolor="#ffe6ab">0.000005</td>
<td align=right bgcolor="#ffe6cd">0.000006</td>
<td align=right bgcolor="#ffe669">0.000006</td>
<td align=right bgcolor="#ffe6ef">0.001218</td>
<td align=right bgcolor="#ffe6ab">0.002272</td>
<td align=right bgcolor="#ffe6cd">0.012295</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000014</td>
<td align=right bgcolor="#ffe6ab">0.000008</td>
<td align=right bgcolor="#ffe6cd">0.000012</td>
<td align=right bgcolor="#ffe669">0.000107</td>
<td align=right bgcolor="#ffe6ef">0.000133</td>
<td align=right bgcolor="#ffe6ab">0.007138</td>
<td align=right bgcolor="#ffe6cd">1.770963</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000005</td>
<td align=right bgcolor="#ffe6ab">0.000005</td>
<td align=right bgcolor="#ffe6cd">0.000008</td>
<td align=right bgcolor="#ffe669">0.000011</td>
<td align=right bgcolor="#ffe6ef">0.000155</td>
<td align=right bgcolor="#ffe6ab">0.007457</td>
<td align=right bgcolor="#ffe6cd">0.030335</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000005</td>
<td align=right bgcolor="#ffe6ab">0.000006</td>
<td align=right bgcolor="#ffe6cd">0.000009</td>
<td align=right bgcolor="#ffe669">0.000011</td>
<td align=right bgcolor="#ffe6ef">0.000125</td>
<td align=right bgcolor="#ffe6ab">0.006250</td>
<td align=right bgcolor="#ffe6cd">0.035904</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000007</td>
<td align=right bgcolor="#ffe6ab">0.000006</td>
<td align=right bgcolor="#ffe6cd">0.000008</td>
<td align=right bgcolor="#ffe669">0.000009</td>
<td align=right bgcolor="#ffe6ef">0.000702</td>
<td align=right bgcolor="#ffe6ab">0.011145</td>
<td align=right bgcolor="#ffe6cd">0.081598</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Wall Time Coefficient of Variation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">11.930000</td>
<td align=right bgcolor="#ffe6ab">1.070000</td>
<td align=right bgcolor="#ffe6cd">1.420000</td>
<td align=right bgcolor="#ffe669">2.040000</td>
<td align=right bgcolor="#ffe6ef">1.740000</td>
<td align=right bgcolor="#ffe6ab">26.930000</td>
<td align=right bgcolor="#ffe6cd">4.760000</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">1.870000</td>
<td align=right bgcolor="#ffe6ab">1.450000</td>
<td align=right bgcolor="#ffe6cd">1.090000</td>
<td align=right bgcolor="#ffe669">1.260000</td>
<td align=right bgcolor="#ffe6ef">1.290000</td>
<td align=right bgcolor="#ffe6ab">29.740000</td>
<td align=right bgcolor="#ffe6cd">12.150000</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">1.640000</td>
<td align=right bgcolor="#ffe6ab">1.370000</td>
<td align=right bgcolor="#ffe6cd">1.120000</td>
<td align=right bgcolor="#ffe669">1.240000</td>
<td align=right bgcolor="#ffe6ef">1.090000</td>
<td align=right bgcolor="#ffe6ab">16.200000</td>
<td align=right bgcolor="#ffe6cd">0.830000</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">230.840000</td>
<td align=right bgcolor="#ffe6ab">1.030000</td>
<td align=right bgcolor="#ffe6cd">0.940000</td>
<td align=right bgcolor="#ffe669">20.950000</td>
<td align=right bgcolor="#ffe6ef">1.550000</td>
<td align=right bgcolor="#ffe6ab">13.280000</td>
<td align=right bgcolor="#ffe6cd">1.160000</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">1.550000</td>
<td align=right bgcolor="#ffe6ab">1.010000</td>
<td align=right bgcolor="#ffe6cd">1.220000</td>
<td align=right bgcolor="#ffe669">1.130000</td>
<td align=right bgcolor="#ffe6ef">1.080000</td>
<td align=right bgcolor="#ffe6ab">7.140000</td>
<td align=right bgcolor="#ffe6cd">1.280000</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">1.110000</td>
<td align=right bgcolor="#ffe6ab">1.230000</td>
<td align=right bgcolor="#ffe6cd">1.120000</td>
<td align=right bgcolor="#ffe669">1.310000</td>
<td align=right bgcolor="#ffe6ef">1.170000</td>
<td align=right bgcolor="#ffe6ab">7.100000</td>
<td align=right bgcolor="#ffe6cd">3.280000</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">1.490000</td>
<td align=right bgcolor="#ffe6ab">1.410000</td>
<td align=right bgcolor="#ffe6cd">2.580000</td>
<td align=right bgcolor="#ffe669">1.290000</td>
<td align=right bgcolor="#ffe6ef">8.840000</td>
<td align=right bgcolor="#ffe6ab">15.160000</td>
<td align=right bgcolor="#ffe6cd">2.370000</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">1.500000</td>
<td align=right bgcolor="#ffe6ab">1.080000</td>
<td align=right bgcolor="#ffe6cd">4.000000</td>
<td align=right bgcolor="#ffe669">1.420000</td>
<td align=right bgcolor="#ffe6ef">12.500000</td>
<td align=right bgcolor="#ffe6ab">13.580000</td>
<td align=right bgcolor="#ffe6cd">0.860000</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">1.220000</td>
<td align=right bgcolor="#ffe6ab">1.190000</td>
<td align=right bgcolor="#ffe6cd">1.190000</td>
<td align=right bgcolor="#ffe669">1.180000</td>
<td align=right bgcolor="#ffe6ef">1.050000</td>
<td align=right bgcolor="#ffe6ab">9.840000</td>
<td align=right bgcolor="#ffe6cd">7.790000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">1.290000</td>
<td align=right bgcolor="#ffe6ab">1.110000</td>
<td align=right bgcolor="#ffe6cd">1.310000</td>
<td align=right bgcolor="#ffe669">1.160000</td>
<td align=right bgcolor="#ffe6ef">9.970000</td>
<td align=right bgcolor="#ffe6ab">2.920000</td>
<td align=right bgcolor="#ffe6cd">1.510000</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">3.830000</td>
<td align=right bgcolor="#ffe6ab">2.180000</td>
<td align=right bgcolor="#ffe6cd">2.800000</td>
<td align=right bgcolor="#ffe669">12.970000</td>
<td align=right bgcolor="#ffe6ef">1.920000</td>
<td align=right bgcolor="#ffe6ab">3.310000</td>
<td align=right bgcolor="#ffe6cd">62.210000</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">1.430000</td>
<td align=right bgcolor="#ffe6ab">1.360000</td>
<td align=right bgcolor="#ffe6cd">1.830000</td>
<td align=right bgcolor="#ffe669">1.320000</td>
<td align=right bgcolor="#ffe6ef">2.060000</td>
<td align=right bgcolor="#ffe6ab">3.050000</td>
<td align=right bgcolor="#ffe6cd">1.090000</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">1.480000</td>
<td align=right bgcolor="#ffe6ab">1.610000</td>
<td align=right bgcolor="#ffe6cd">2.180000</td>
<td align=right bgcolor="#ffe669">1.000000</td>
<td align=right bgcolor="#ffe6ef">0.820000</td>
<td align=right bgcolor="#ffe6ab">2.310000</td>
<td align=right bgcolor="#ffe6cd">1.210000</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">1.950000</td>
<td align=right bgcolor="#ffe6ab">1.700000</td>
<td align=right bgcolor="#ffe6cd">1.790000</td>
<td align=right bgcolor="#ffe669">0.750000</td>
<td align=right bgcolor="#ffe6ef">2.860000</td>
<td align=right bgcolor="#ffe6ab">3.500000</td>
<td align=right bgcolor="#ffe6cd">2.370000</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Mean CPU Time in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.007000</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000100</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.008100</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.020300</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000700</td>
<td align=right bgcolor="#ffe6cd">0.019700</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.004600</td>
<td align=right bgcolor="#ffe6cd">0.039600</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000500</td>
<td align=right bgcolor="#ffe6cd">0.038200</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.009900</td>
<td align=right bgcolor="#ffe6cd">0.085100</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.010400</td>
<td align=right bgcolor="#ffe6cd">0.074900</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000900</td>
<td align=right bgcolor="#ffe6cd">0.039000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.008900</td>
<td align=right bgcolor="#ffe6cd">0.080700</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.009700</td>
<td align=right bgcolor="#ffe6ab">0.054800</td>
<td align=right bgcolor="#ffe6cd">0.673100</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.005600</td>
<td align=right bgcolor="#ffe6ab">0.068600</td>
<td align=right bgcolor="#ffe6cd">0.620700</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.011100</td>
<td align=right bgcolor="#ffe6ab">0.076000</td>
<td align=right bgcolor="#ffe6cd">0.666900</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.022200</td>
<td align=right bgcolor="#ffe6ab">0.106200</td>
<td align=right bgcolor="#ffe6cd">0.968300</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>CPU Time standard deviation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.007720</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.008127</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.003015</td>
<td align=right bgcolor="#ffe6cd">0.012906</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.002564</td>
<td align=right bgcolor="#ffe6cd">0.010960</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.006730</td>
<td align=right bgcolor="#ffe6cd">0.018030</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.002190</td>
<td align=right bgcolor="#ffe6cd">0.016659</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.009587</td>
<td align=right bgcolor="#ffe6cd">0.029353</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.010042</td>
<td align=right bgcolor="#ffe6cd">0.023634</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.003208</td>
<td align=right bgcolor="#ffe6cd">0.017495</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.008152</td>
<td align=right bgcolor="#ffe6cd">0.024955</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001714</td>
<td align=right bgcolor="#ffe6ab">0.013816</td>
<td align=right bgcolor="#ffe6cd">0.606440</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.004989</td>
<td align=right bgcolor="#ffe6ab">0.025187</td>
<td align=right bgcolor="#ffe6cd">0.069838</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.003145</td>
<td align=right bgcolor="#ffe6ab">0.020986</td>
<td align=right bgcolor="#ffe6cd">0.052275</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.007047</td>
<td align=right bgcolor="#ffe6ab">0.025496</td>
<td align=right bgcolor="#ffe6cd">0.121730</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>CPU Time Coefficient of Variation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">110.280000</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">1000.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">100.340000</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">301.510000</td>
<td align=right bgcolor="#ffe6cd">63.580000</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">366.330000</td>
<td align=right bgcolor="#ffe6cd">55.630000</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">146.300000</td>
<td align=right bgcolor="#ffe6cd">45.530000</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">438.090000</td>
<td align=right bgcolor="#ffe6cd">43.610000</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">96.840000</td>
<td align=right bgcolor="#ffe6cd">34.490000</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">96.560000</td>
<td align=right bgcolor="#ffe6cd">31.550000</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">356.470000</td>
<td align=right bgcolor="#ffe6cd">44.860000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">91.600000</td>
<td align=right bgcolor="#ffe6cd">30.920000</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">17.670000</td>
<td align=right bgcolor="#ffe6ab">25.210000</td>
<td align=right bgcolor="#ffe6cd">90.100000</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">89.090000</td>
<td align=right bgcolor="#ffe6ab">36.720000</td>
<td align=right bgcolor="#ffe6cd">11.250000</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">28.330000</td>
<td align=right bgcolor="#ffe6ab">27.610000</td>
<td align=right bgcolor="#ffe6cd">7.840000</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">31.740000</td>
<td align=right bgcolor="#ffe6ab">24.010000</td>
<td align=right bgcolor="#ffe6cd">12.570000</td>
</tr>


</table></font>
</p>
<p>Summary: 
 </font>
 </body>
 </html>
